Subject: bug#33855: 27.0.50; Can't see markup in HELLO

From: Stefan Monnier <[email-masked]>
Date: Fri, 20 May 2022 08:33:43 -0400

Lars Ingebrigtsen [2022-05-20 01:18:35] wrote:
> Robert Pluim <[email-masked]> writes:
>>     Stefan> No, it just seemed like a natural binding for it.
>>     Stefan> But it'd likely be used so rarely that it's not worth having
>>     Stefan> a key-binding.
> I've now added a new command 'enriched-toggle-markup' to Emacs 29.

Thanks.

>> How about "C-c '", for consistency with org-mode.
> I left it unbound for now -- I'm not quite sure whether it's something
> that many people would want to use, even if it's useful for debugging.

Agreed.

Looking a bit more into it, I wonder if 'enriched-toggle-markup' should
be merged with the `enriched-mode` command itself.

Currently, doing something like:

    C-x C-f .../HELLO    # Open an enriched-mode file
    M-x enriched-mode    # Disable enriched-mode
    foobar               # Insert arbitrary text
    C-x C-s              # Save

throws away all the annotations without any warning.

WDYT?

        Stefan